##

This is the API

## updatePet

### URL

`http://petstore.swagger.io/v2/pet`

### HTTP Method

`PUT`

### Response Type

### Parameters

Pet object that needs to be added to the store

## addPet

### URL

`http://petstore.swagger.io/v2/pet`

### HTTP Method

`POST`

### Response Type

### Parameters

Pet object that needs to be added to the store

## findPetsByStatus

Multiple status values can be provided with comma seperated strings

### URL

`http://petstore.swagger.io/v2/pet/findByStatus`

### HTTP Method

`GET`

### Response Type

List

### Parameters

Status values that need to be considered for filter

## findPetsByTags

Muliple tags can be provided with comma seperated strings. Use tag1, tag2, tag3 for testing.

### URL

`http://petstore.swagger.io/v2/pet/findByTags`

### HTTP Method

`GET`

### Response Type

List

### Parameters

Tags to filter by

## getPetById

Returns a pet when ID < 10. ID > 10 or nonintegers will simulate API error conditions

### URL

`http://petstore.swagger.io/v2/pet/{petId}`

### HTTP Method

`GET`

### Response Type

Pet

### Parameters

ID of pet that needs to be fetched

## updatePetWithForm

### URL

`http://petstore.swagger.io/v2/pet/{petId}`

### HTTP Method

`POST`

### Response Type

### Parameters

ID of pet that needs to be updated

Updated name of the pet

Updated status of the pet

## deletePet

### URL

`http://petstore.swagger.io/v2/pet/{petId}`

### HTTP Method

`DELETE`

### Response Type

### Parameters

Pet id to delete

## uploadFile

### URL

`http://petstore.swagger.io/v2/pet/{petId}/uploadImage`

### HTTP Method

`POST`

### Response Type

### Parameters

ID of pet to update

Additional data to pass to server

file to upload